import request from '@/utils/request'

// 创建收款单
export function createReceipt(data) {
  return request({
    url: '/ecw/receipt/create',
    method: 'post',
    data: data
  })
}

// 获取应收款列表
export function getReceivableList(query) {
  return request({
    url: '/ecw/receivable/page',
    method: 'get',
    params: query
  })
}

// 根据获取应收款列表
// export function getReceivableListByIds(query) {
//   return request({
//     url: '/ecw/receivable/list',
//     method: 'get',
//     params: query
//   })
// }

// 更新应付款
export function updatePayable(data) {
  return request({
    url: '/ecw/payable/update',
    method: 'put',
    data: data
  })
}

// 删除应付款
export function deletePayable(id) {
  return request({
    url: '/ecw/payable/delete?id=' + id,
    method: 'delete'
  })
}



// 获取应付款列表
export function getPayableList(query) {
  return request({
    url: '/ecw/payable/page',
    method: 'get',
    params: query
  })
}

// 获取应付款详情
export function getPayableInfoByIds(query) {
  return request({
    url: '/ecw/payable/get',
    method: 'get',
    params: query
  })
}

// 创建付款单
export function createPayment(data) {
  return request({
    url: '/ecw/payment/create',
    method: 'post',
    data: data
  })
}

// 获取付款单列表
export function getPaymentList(query) {
  return request({
    url: '/ecw/payment/page',
    method: 'get',
    params: query
  })
}